from flask import Flask

import sys

from loguru import logger

sys.path.append('../')
from frontend.controllers.ControllerPages import ControllerPages

app = Flask(__name__, template_folder='views')

app.register_blueprint(ControllerPages.blueprint)

app.secret_key = '2648cfa2-95a5-4101-8735-b968c9cc1c89'
app.config['SESSION_TYPE'] = 'filesystem'
app.config["SESSION_PERMANENT"] = False


logger.add(
    "output.log",
    format="{time:YYYY-MM-DD HH:mm:ss} | {level} | {name} | {message}",
    level="INFO",
    rotation="10MB",
    compression="zip"
)

if __name__ == '__main__':
    app.run(debug=True, port=8089)
