// documentation http://mistic100.github.io/jQCloud/

function refreshCloud() {
    $.ajax({
        url: '/api',
        type: 'GET',
        dataType: 'json',
        success: function(new_words) {
            let new_count = 0;
            for (let i = 0; i < new_words.length; i++) {
                new_count += new_words[i].count;
            }
            if(window.total_count !== new_count) {
                window.total_count = new_count;
                window.words = new_words;
                console.log(window.words);
                let jCloud = $('#cloud');
                window.wordcloud = new Wordcloud(
                    jCloud[0],
                    new_words, {
                        steps: 10,
                        delay: 200,
                        shape: 'rectangular',
                        colors: [
                            "#C2CBC0",
                            "#A5BAA0",
                            "#819A7C",
                            "#5F7E59",
                            "#3F6437",
                            "#173710"
                        ],
                        fontSize: {
                            from: 0.015,
                            to: 0.05
                        }
                    });
            }
        }
    });

}

$(document).ready(function() {
    refreshCloud();
    window.words = [];
    window.total_count = 0;
    setInterval(refreshCloud, 30000);
});