from sqlalchemy import Column, Integer, String, TIMESTAMP, ForeignKey
from sqlalchemy.orm import declarative_base, relationship

Base = declarative_base()

class Words(Base):
    __tablename__ = 'words'
    word_id = Column(Integer, primary_key=True)
    source_filename = Column(String(500))
    word = Column(String(200))
    language = Column(String(3))
    created = Column(TIMESTAMP)

class WordsStats(Base):
    __tablename__ = 'words_stats'
    words_stat_id = Column(Integer, primary_key=True)
    word_id = Column(Integer, ForeignKey('words.word_id'))
    count = Column(Integer, default=0)
    word = relationship("Words")