from dataclasses import dataclass
from typing import List, Dict

from dataclasses_json import dataclass_json
from rtmp_worker.model.task_status_gender_summary import TaskStatusGenderSummary
from rtmp_worker.model.task_status_model_versions import TaskStatusModelVersions
from rtmp_worker.model.task_status_result_denoise import TaskStatusResultDenoise

from rtmp_worker.model.task_status_segment import TaskStatusSegment
from rtmp_worker.model.task_status_segment_emotion_summary import TaskStatusSegmentEmotionSummary
from rtmp_worker.model.task_status_segment_tempo_summary import TaskStatusSegmentTempoSummary

@dataclass_json
@dataclass
class TaskStatusResults:
    segments: List[TaskStatusSegment]
    emotion_summary: TaskStatusSegmentEmotionSummary
    tempo_summary: TaskStatusSegmentTempoSummary
    result_denoise: TaskStatusResultDenoise
    gender_summary: List[TaskStatusGenderSummary]
    model_versions: TaskStatusModelVersions
    autoresponder: bool
    length_sec: int
    detected_language_code: str
    task_uuid: str
