from dataclasses import dataclass
from typing import List, Dict

from dataclasses_json import dataclass_json

from rtmp_worker.model.task_status_segment_emotion import TaskStatusSegmentEmotion
from rtmp_worker.model.task_status_segment_emotion_summary import TaskStatusSegmentEmotionSummary
from rtmp_worker.model.task_status_segment_energy import TaskStatusSegmentEnergy
from rtmp_worker.model.task_status_segment_energy_summary import TaskStatusSegmentEnergySummary
from rtmp_worker.model.task_status_segment_suggestion import TaskStatusSegmentSuggestion
from rtmp_worker.model.task_status_segment_tempo import TaskStatusSegmentTempo
from rtmp_worker.model.task_status_segment_tempo_summary import TaskStatusSegmentTempoSummary
from rtmp_worker.model.task_status_segment_text_segment import TaskStatusSegmentTextSegment

@dataclass_json
@dataclass
class TaskStatusSegment():
    emotions: List[TaskStatusSegmentEmotion]
    emotion_summary: TaskStatusSegmentEmotionSummary
    tempo: List[TaskStatusSegmentTempo]
    tempo_summary: TaskStatusSegmentTempoSummary
    energy: List[TaskStatusSegmentEnergy]
    energy_summary: TaskStatusSegmentEnergySummary
    time_sec_from: float
    time_sec_to: float
    type: str
    user_id: int
    pauses_sec: float
    pauses_count: int
    gender: str
    text: str
    text_sentiment: str
    suggestions: List[TaskStatusSegmentSuggestion]
    text_intent: str
    text_segment: List[TaskStatusSegmentTextSegment]